## docker-swarm 1.2.5+dfsg

=== docs/Makefile ===
.PHONY: all default docs docs-build docs-shell shell test
# to allow `make DOCSDIR=1 docs-shell` (to create a bind mount in docs)
DOCS_MOUNT := $(if $(DOCSDIR),-v $(CURDIR):/docs/content/swarm/)

# to allow `make DOCSPORT=9000 docs`
DOCSPORT := 8000

# Get the IP ADDRESS
DOCKER_IP=$(shell python -c "import urlparse ; print urlparse.urlparse('$(DOCKER_HOST)').hostname or ''")
HUGO_BASE_URL=$(shell test -z "$(DOCKER_IP)" && echo localhost || echo "$(DOCKER_IP)")
HUGO_BIND_IP=0.0.0.0

GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null)
GIT_BRANCH_CLEAN := $(shell echo $(GIT_BRANCH) | sed -e "s/[^[:alnum:]]/-/g")
DOCKER_DOCS_IMAGE := docker-docs$(if $(GIT_BRANCH_CLEAN),:$(GIT_BRANCH_CLEAN))

DOCKER_RUN_DOCS := docker run --rm -it $(DOCS_MOUNT) -e AWS_S3_BUCKET -e NOCACHE

# for some docs workarounds (see below in "docs-build" target)
GITCOMMIT := $(shell git rev-parse --short HEAD 2>/dev/null)

default: docs

docs: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 -e DOCKERHOST "$(DOCKER_DOCS_IMAGE)" hugo server --port=$(DOCSPORT) --baseUrl=$(HUGO_BASE_URL) --bind=$(HUGO_BIND_IP) --watch

docs-draft: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 -e DOCKERHOST "$(DOCKER_DOCS_IMAGE)" hugo server --buildDrafts="true" --port=$(DOCSPORT) --baseUrl=$(HUGO_BASE_URL) --bind=$(HUGO_BIND_IP)

docs-shell: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 "$(DOCKER_DOCS_IMAGE)" bash

test: docs-build
	$(DOCKER_RUN_DOCS) -p $(if $(DOCSPORT),$(DOCSPORT):)8000 "$(DOCKER_DOCS_IMAGE)"

docs-build:
	docker build -t "$(DOCKER_DOCS_IMAGE)" .

=== debian/changelog ===
docker-swarm (1.2.5+dfsg-2) unstable; urgency=medium

  * Update docker-swarm dependencies:
    - golang-go
    + etcd, consul, zookeeper (suggests)
    + lsb-base

 -- Tim Potter <tpot@hpe.com>  Wed, 26 Oct 2016 15:12:17 +1100

docker-swarm (1.2.5+dfsg-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Fixed "readlink" invocation in the init.d script.
  * Build-Depends:
    + golang-github-docker-engine-api-dev
    + golang-github-docker-leadership-dev
    + golang-github-skarademir-naturalsort-dev
  * Standards-Version: 3.9.8.
  * Vcs-Git to HTTPS.

  [ Tim Potter ]
  * New upstream release [August 2016]

 -- Tim Potter <tpot@hpe.com>  Fri, 30 Sep 2016 09:24:57 +1000

docker-swarm (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release [December 2015].
  * Use golang-github-docker-libkv-dev (>= 0.1.0).
  * Fixed Build-Depends alternatives.
  * init: bugfix and improvements.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 23 Dec 2015 22:22:19 +1100

docker-swarm (1.0.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #781918).

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 09 Nov 2015 02:11:49 +1100

=== debian/control ===
Source: docker-swarm
Section: devel
Priority: extra
Maintainer: pkg-go <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9), dh-systemd,
    dh-golang,
    golang-go,
    golang-github-codegangsta-cli-dev | golang-codegangsta-cli-dev,
    golang-github-docker-docker-dev | golang-docker-dev,
    golang-github-docker-engine-api-dev,
    golang-github-docker-leadership-dev,
    golang-github-docker-libkv-dev (>= 0.1.0),
    golang-etcd-dev | golang-github-coreos-go-etcd-dev,
    golang-etcd-server-dev,
    golang-github-davecgh-go-spew-dev,
    golang-glog-dev,
    golang-gogoprotobuf-dev | golang-github-gogo-protobuf-dev,
    golang-context-dev | golang-github-gorilla-context-dev,
    golang-github-samuel-go-zookeeper-dev,
    golang-github-gorilla-mux-dev,
    golang-github-mesos-mesos-go-dev,
    golang-github-pborman-uuid-dev,
    golang-github-samalba-dockerclient-dev,
    golang-github-skarademir-naturalsort-dev,
    golang-github-sirupsen-logrus-dev | golang-logrus-dev,
    golang-objx-dev | golang-github-stretchr-objx-dev,
    golang-github-stretchr-testify-dev | golang-testify-dev,
    golang-github-ugorji-go-codec-dev,
    golang-golang-x-net-dev,
    golang-golang-x-sys-dev,
Standards-Version: 3.9.8
Homepage: https://github.com/docker/swarm
Vcs-Browser: https://anonscm.debian.org/cgit/docker/docker-swarm.git
Vcs-Git: https://anonscm.debian.org/git/docker/docker-swarm.git

Package: docker-swarm
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lsb-base (>= 3.0-6),
         pipexec
Suggests: etcd, consul, zookeeper
Built-Using: ${misc:Built-Using}
Description: Docker's native clustering system
 Docker Swarm is native clustering for Docker. It turns a pool of Docker
 hosts into a single, virtual host.
 .
 Swarm serves the standard Docker API, so any tool which already
 communicates with a Docker daemon can use Swarm to transparently scale to
 multiple hosts: Dokku, Compose, Krane, Flynn, Deis, DockerUI, Shipyard,
 Drone, Jenkins... and, of course, the Docker client itself.
 .
 Like other Docker projects, Swarm follows the "batteries included but
 removable" principle. It ships with a set of simple scheduling backends
 out of the box, and as initial development settles, an API will be
 developed to enable pluggable backends.  The goal is to provide a smooth
 out-of-the-box experience for simple use cases, and allow swapping in more
 powerful backends, like Mesos, for large scale production deployments.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_GOPKG := github.com/docker/swarm

%:
	dh $@ --buildsystem=golang --with=golang,systemd --builddirectory=_build

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

override_dh_auto_configure:
	mkdir -p Godeps/_workspace/src
	mkdir -p _build && cp -r Godeps/_workspace/src _build/
	dh_auto_configure -v

override_dh_install:
	dh_install
	$(RM) -rf debian/docker-swarm/usr/share/gocode
	## Must rename executable due to conflict with "swarm":
	rename -v 's{swarm\Z}{docker-swarm}' debian/docker-swarm/usr/bin/swarm

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_start:
	dh_systemd_start --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

override_dh_auto_test:
	-dh_auto_test

=== debian/watch ===
# uscan(1) configuration file.
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
uversionmangle=s{\-(\d+)\Z}{.$1},\
 https://github.com/docker/swarm/releases \
 .*/archive/v?(\d[\d\.]+)\.tar\.gz
